> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://fiftytwo-demo.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://fiftytwo-demo.ferndocs.com/_mcp/server.

# Insert/update list of article lists for specific store

POST https://api.fiftytwo.com/masterdata/articlelists/v1/chain/{chain}/store/{store}
Content-Type: application/json

Not supported when master data is distributed by the 52ViKING enterprise service.

Reference: https://fiftytwo-demo.ferndocs.com/api/master-data/reference/article-lists/insert-update-list-of-article-lists-for-specific-store

## Request

### Path parameters

- `chain` (integer, required) — The ID of the chain
- `store` (integer, required) — The ID of the store

### Body (application/json)

This endpoint expects an articleLists.

- `articleLists` (list of ArticleListsArticleListsItems, required)

## Response

### 202

Accepted

## Errors

### 400 Bad Request Error

Bad Request

- `string`

## Types

### ArticleListsArticleListsItems

- `articleListId` (integer, required) — ID of the article list.
- `articles` (list of integer, required) — List of article IDs to associate with the article list.
- `description` (string, optional) — A short text that describes the article list.

## Examples

**Request**

```json
{
  "articleLists": [
    {
      "articleListId": 12345678,
      "articles": [
        1,
        2,
        3,
        4
      ],
      "description": "articleList 12345678"
    },
    {
      "articleListId": 87654321,
      "articles": [
        5,
        6,
        7,
        8
      ],
      "description": "articleList 87654321"
    }
  ]
}
```

**Response**

```json
{}
```

**SDK Code**

```python ArticleLists_insertUpdateListOfArticleListsForSpecificStore_example
import requests

url = "https://api.fiftytwo.com/masterdata/articlelists/v1/chain/1/store/1"

payload = { "articleLists": [
        {
            "articleListId": 12345678,
            "articles": [1, 2, 3, 4],
            "description": "articleList 12345678"
        },
        {
            "articleListId": 87654321,
            "articles": [5, 6, 7, 8],
            "description": "articleList 87654321"
        }
    ] }
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript ArticleLists_insertUpdateListOfArticleListsForSpecificStore_example
const url = 'https://api.fiftytwo.com/masterdata/articlelists/v1/chain/1/store/1';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: '{"articleLists":[{"articleListId":12345678,"articles":[1,2,3,4],"description":"articleList 12345678"},{"articleListId":87654321,"articles":[5,6,7,8],"description":"articleList 87654321"}]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go ArticleLists_insertUpdateListOfArticleListsForSpecificStore_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.fiftytwo.com/masterdata/articlelists/v1/chain/1/store/1"

	payload := strings.NewReader("{\n  \"articleLists\": [\n    {\n      \"articleListId\": 12345678,\n      \"articles\": [\n        1,\n        2,\n        3,\n        4\n      ],\n      \"description\": \"articleList 12345678\"\n    },\n    {\n      \"articleListId\": 87654321,\n      \"articles\": [\n        5,\n        6,\n        7,\n        8\n      ],\n      \"description\": \"articleList 87654321\"\n    }\n  ]\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby ArticleLists_insertUpdateListOfArticleListsForSpecificStore_example
require 'uri'
require 'net/http'

url = URI("https://api.fiftytwo.com/masterdata/articlelists/v1/chain/1/store/1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n  \"articleLists\": [\n    {\n      \"articleListId\": 12345678,\n      \"articles\": [\n        1,\n        2,\n        3,\n        4\n      ],\n      \"description\": \"articleList 12345678\"\n    },\n    {\n      \"articleListId\": 87654321,\n      \"articles\": [\n        5,\n        6,\n        7,\n        8\n      ],\n      \"description\": \"articleList 87654321\"\n    }\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java ArticleLists_insertUpdateListOfArticleListsForSpecificStore_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.fiftytwo.com/masterdata/articlelists/v1/chain/1/store/1")
  .header("Content-Type", "application/json")
  .body("{\n  \"articleLists\": [\n    {\n      \"articleListId\": 12345678,\n      \"articles\": [\n        1,\n        2,\n        3,\n        4\n      ],\n      \"description\": \"articleList 12345678\"\n    },\n    {\n      \"articleListId\": 87654321,\n      \"articles\": [\n        5,\n        6,\n        7,\n        8\n      ],\n      \"description\": \"articleList 87654321\"\n    }\n  ]\n}")
  .asString();
```

```php ArticleLists_insertUpdateListOfArticleListsForSpecificStore_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.fiftytwo.com/masterdata/articlelists/v1/chain/1/store/1', [
  'body' => '{
  "articleLists": [
    {
      "articleListId": 12345678,
      "articles": [
        1,
        2,
        3,
        4
      ],
      "description": "articleList 12345678"
    },
    {
      "articleListId": 87654321,
      "articles": [
        5,
        6,
        7,
        8
      ],
      "description": "articleList 87654321"
    }
  ]
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp ArticleLists_insertUpdateListOfArticleListsForSpecificStore_example
using RestSharp;

var client = new RestClient("https://api.fiftytwo.com/masterdata/articlelists/v1/chain/1/store/1");
var request = new RestRequest(Method.POST);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"articleLists\": [\n    {\n      \"articleListId\": 12345678,\n      \"articles\": [\n        1,\n        2,\n        3,\n        4\n      ],\n      \"description\": \"articleList 12345678\"\n    },\n    {\n      \"articleListId\": 87654321,\n      \"articles\": [\n        5,\n        6,\n        7,\n        8\n      ],\n      \"description\": \"articleList 87654321\"\n    }\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift ArticleLists_insertUpdateListOfArticleListsForSpecificStore_example
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = ["articleLists": [
    [
      "articleListId": 12345678,
      "articles": [1, 2, 3, 4],
      "description": "articleList 12345678"
    ],
    [
      "articleListId": 87654321,
      "articles": [5, 6, 7, 8],
      "description": "articleList 87654321"
    ]
  ]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.fiftytwo.com/masterdata/articlelists/v1/chain/1/store/1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```